<!--//
function openWindow(url,winname,toolbar,location,directories,status,border,menubar,scrollbars,resizable,ns6width,ns6height,iewidth,ieheight,ns4width,ns4height,width,height,top,left) {
agent = navigator.userAgent;
windowName = "PopUpWindow";
// set blank attributes
if (toolbar=='') {toolbar=0}; 
if (location=='') {location=0};
if (directories=='') {directories=0};
if (status=='') {status=0};
if (border=='') {border=0};
if (menubar=='') {menubar=0};
if (scrollbars=='') {scrollbars=0};
if (resizable=='') {resizable=0};
if (ns6width=='') {ns6width=0};
if (ns6height=='') {ns6height=0};
if (iewidth=='') {iewidth=0};
if (ieheight=='') {ieheight=0};
if (ns4width=='') {ns4width=0};
if (ns4height=='') {ns4height=0};
if (width=='') {width=0};
if (height=='') {height=0};
if (top=='') {top=0};
if (left=='') {left=0};

params = ""; 
params += "toolbar="+toolbar+",";
params += "location="+location+",";
params += "directories="+directories+",";
params += "status="+status+",";
params += "border="+border+",";
params += "menubar="+menubar+",";
params += "scrollbars="+scrollbars+",";
params += "resizable="+resizable+",";
if (agent.indexOf("Netscape6")!= -1) {
 params += "screenX="+left+",";
 params += "screenY="+top+",";
 params += "width="+ns6width+",";
 params += "height="+ns6height;
}
else if (agent.indexOf("MSIE")!= -1) {
 params += "left="+left+",";
 params += "top="+top+",";
 params += "width="+iewidth+",";
 params += "height="+ieheight;
}
else if (agent.indexOf("Mozilla/4")!= -1) {
 params += "screenX="+left+",";
 params += "screenY="+top+",";
 params += "width="+ns4width+",";
 params += "height="+ns4height;
}
else { 
 params += "left="+left+",";
 params += "top="+top+",";
 params += "width="+width+",";
 params += "height="+height;
}
LNwin = window.open(url, winname , params);
 if (agent.indexOf("Mozilla/2") != -1 && agent.indexOf("Win") == -1) {
 LNwin = window.open(url, windowName , params);
}
if (!LNwin.opener) { LNwin.opener = window; } 
else {LNwin.focus();} 
} 

var objectPop = null;
function lnObjectPop(id, height, width) {
	if (canDetectShockwave()) {
		FlashShockwaveDetection();
		if (FlashVer >= 4 || ShockWaveVer >= 8) {
			//alert (" Flash version: " + FlashVer);
			//alert (" ShockWave version: " + ShockWaveVer);
			objectPop
		}
		if (FlashVer < 4) {
				window.location='/kln/noflash.html';
			return 0;
		}
		if (ShockWaveVer < 8) {
				window.location='/kln/noshockwave.html';
			return 0;
		}			
		if (!objectPop || objectPop.closed ) {
			var targetURL = id;
			// temporary redirects for factmonster arcade
			if (id == 27994) {targetURL = "factalley.html"}
			if (id == 27995) {targetURL = "junglejump.html"}
			if (id == 27996) {targetURL = "bubblebop.html"}
			if (id == 27997) {targetURL = "warthogrumble.html"}
			if (id == 27998) {targetURL = "intoodeep.html"}
			if (id == 27999) {targetURL = "crochop.html"}			
			objectPop = window.open(targetURL, "lnobjectPop", "toolbar=no,WIDTH=" + width + ",HEIGHT=" + height + ",location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=Yes");
			objectPop.focus()
			} else {
			objectPop.focus()
		}
	}
}
// -->